
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>组合查询功能实现 / 憋错料</title>

    <meta name="description" content="组合查询功能实现 前言 这是我的第二篇文章,这是我之前做的ERP项目的时候设计实现的.在这个ERP系统中,功能比较多,表设计的时候建立了很多业务表.对于一些业务表需要执行很多查询,客户要求针对不同的字段进行查询,基于我们之前的设计,针对不同的查询条件设计不同的DAL方法,通过不同的方法签名来实现客户的对于不同条件查询的要求.但是这种解决方案会让程序员很被动,久而久之整个DAL层会显得很臃肿. 面对这样的困境,考虑是否可以实现用一个通用的DAL方法来代替所有的不同筛选条件查询方法,因为这些查询方法内部的逻辑是一样的">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">组合查询功能实现</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h3>前言</h3>
<p>　　这是我的第二篇文章，这是我之前做的ERP项目的时候设计实现的。在这个ERP系统中，功能比较多，表设计的时候建立了很多业务表。对于一些业务表需要执行很多查询，客户要求针对不同的字段进行查询，基于我们之前的设计，针对不同的查询条件设计不同的DAL方法，通过不同的方法签名来实现客户的对于不同条件查询的要求。但是这种解决方案会让程序员很被动，久而久之整个DAL层会显得很臃肿。</p>
<p>　　面对这样的困境，考虑是否可以实现用一个通用的DAL方法来代替所有的不同筛选条件查询方法，因为这些查询方法内部的逻辑是一样的，只有查询条件不一样。</p>
<h3>组合查询实现</h3>
<p>　　组合查询的意思就是，DAL方法不需要知道客户的具体查询条件是什么，就可以向客户返回一个结果集。要实现组合查询需要实现以下几个步骤：</p>
<p>　　(1) 创建工具类PredicateExtensionses</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvQ29udHJhY3RlZEJsb2NrLmdpZg==.jpg" /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvRXhwYW5kZWRCbG9ja1N0YXJ0LmdpZg==.jpg" /></p>

<pre> 1     public static class PredicateExtensionses
 2     {
 3         public static Expression&lt;Func&lt;T, bool&gt;&gt; True&lt;T&gt;() { return f =&gt; true; }
 4
 5         public static Expression&lt;Func&lt;T, bool&gt;&gt; False&lt;T&gt;() { return f =&gt; false; }
 6
 7         public static Expression&lt;Func&lt;T, bool&gt;&gt; Or&lt;T&gt;(this Expression&lt;Func&lt;T, bool&gt;&gt; exp_flow, Expression&lt;Func&lt;T, bool&gt;&gt; expression2)
 8         {
 9
10             var invokedExpression = System.Linq.Expressions.Expression.Invoke(expression2, exp_flow.Parameters.Cast&lt;System.Linq.Expressions.Expression&gt;());
11
12             return System.Linq.Expressions.Expression.Lambda&lt;Func&lt;T, bool&gt;&gt;(System.Linq.Expressions.Expression.Or(exp_flow.Body, invokedExpression), exp_flow.Parameters);
13
14         }
15
16         public static Expression&lt;Func&lt;T, bool&gt;&gt; And&lt;T&gt;(this Expression&lt;Func&lt;T, bool&gt;&gt; exp_flow, Expression&lt;Func&lt;T, bool&gt;&gt; expression2)
17         {
18
19             var invokedExpression = System.Linq.Expressions.Expression.Invoke(expression2, exp_flow.Parameters.Cast&lt;System.Linq.Expressions.Expression&gt;());
20
21             return System.Linq.Expressions.Expression.Lambda&lt;Func&lt;T, bool&gt;&gt;(System.Linq.Expressions.Expression.And(exp_flow.Body, invokedExpression), exp_flow.Parameters);
22
23         }
24     }</pre>
<p>PredicateExtensionses</p>
<p>　　(2) 将查询条件封装成Model类</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvQ29udHJhY3RlZEJsb2NrLmdpZg==.jpg" /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvRXhwYW5kZWRCbG9ja1N0YXJ0LmdpZg==.jpg" /></p>

<pre>1     public class Filter
2     {
3         public string filter1 { get; set; }
4
5         public string filter2 { get; set; }
6
7         public string filter3 { get; set; }
8     }</pre>
<p>Model</p>
<p>　　(3) 组合查询方法</p>
<p>　　组合查询的时候，需要对客户提供的查询条件做一个处理，将有效的查询的条件进行组装，有效是指string类型的变量不为空或者null、int类型变量值不为0等等。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvQ29udHJhY3RlZEJsb2NrLmdpZg==.jpg" /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvRXhwYW5kZWRCbG9ja1N0YXJ0LmdpZg==.jpg" /></p>

<pre> 1 //Model是使用Linq to SQL生成的数据表对应的数据类名
 2 public void GetResultsByFilter(Filter filter, out IList&lt;Model&gt; results)
 3 {
 4  using (var dc = new DataContext())
 5                     {
 6                         results = new List&lt;Model&gt;();
 7                         Expression&lt;Func&lt;Model, bool&gt;&gt; expr = PredicateExtensionses.True&lt;Model&gt;();
 8                         //获得Model查询条件
 9                  GetFilterCondition(filter, ref expr);
10                         results = (from c in dc.Model.Where(expr) select c).ToList();
11               }
12 }
13
14 //组合查询条件
15 private void GetFilterCondition(Filter filter, ref Expression&lt;Func&lt;Model, bool&gt;&gt; expr)
16         {
17             if (!string.IsNullOrEmpty(filter.filter1))
18             {
19                 expr = expr.And(c =&gt; (c.filter1== Filter.filter1));//1次组合
20             }
21             if (!string.IsNullOrEmpty(filter.filter2))
22             {
23                 expr = expr.And(c =&gt; (c.filter2== Filter.filter2)); //2次组合
24             }
25             if (!string.IsNullOrEmpty(filter.filter3))
26             {
27                 expr = expr.And(c =&gt; (c.filter3== Filter.filter3)); //3次组合
28             }
29 }</pre>
<p>GetResultsByFilter</p>
<p>　　方法签名中的Filter类是自定义筛选条件类，这个根据客户的查询要求来定义。Model类是数据类，是有Ling to SQL工具生成的类。查询得到的结果通过out引用参数返回。</p>
<p><P><A href="http://www.bubuko.com/infodetail-243793.html" rel="external nofollow noreferrer">组合查询功能实现,布布扣,bubuko.com</A></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 22:26:22 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/color/" title="color">color</a>, <a href="https://www.biecuoliao.com/tag/style/" title="style">style</a>, <a href="https://www.biecuoliao.com/tag/http/" title="http">http</a>, <a href="https://www.biecuoliao.com/tag/%e4%bd%bf%e7%94%a8/" title="使用">使用</a>, <a href="https://www.biecuoliao.com/tag/blog/" title="blog">blog</a>, <a href="https://www.biecuoliao.com/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>组合查询功能实现的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38NVggM.html" rel="bookmark">重构之路 组合查询之传参&plus;存储过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上篇博文给大家一起讨论了实现组合查询的一种方法,即在U层将select语句的where子句部分组装好,赋给一个字符串变量,传到D层然后与select子句组成完整的sql语句,之后执行,返回查询结果,就是这么简单,但是博文的结尾也留下了一个疑问,这种方法的安全性有点欠佳,有没有相对好一点的办法呢? 答案是肯定的,这次我们一起来看看我实现的另一种方法.首先给大家简单介绍一下这种方法的思路,其实也比较简单,最初我是想在程序代码里写sql查询语句的,然后将组合查询的各个条件的值当做实体参数(现在实体层定			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49wkyn0.html" rel="bookmark">重构之路 组合查询之传參&plus;存储过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上篇博文给大家一起讨论了实现组合查询的一种方法,即在U层将select语句的where子句部分组装好,赋给一个字符串变量.传到D层然后与select子句组成完整的sql语句.之后运行.返回查询结果,就是这么简单.可是博文的结尾也留下了一个疑问,这样的方法的安全性有点欠佳,有没有相对好一点的办法呢? 答案是肯定的.这次我们一起来看看我实现的还有一种方法.首先给大家简介一下这样的方法的思路,事实上也比較简单,最初我是想在程序代码里写sql查询语句的,然后将组合查询的各个条件的值当做实体參数(如今实体			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0K1oGm4.html" rel="bookmark">eaeyui-combobox实现组合查询（即实现多个值得搜索）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2015年9月1日,今天要实现下拉框的组合查询功能,即可以再下拉框中选择多个值,输入框中每个值之间有逗号隔开,传到后台,由split函数将其分割开,组合成数组,在由sql查询. 实现的效果是: 当时在网上查了一下,有很多种方法,easyui-combobox,select2,multiple,tagsInput,由于我的前段使用easyui来实现功能的,所以选择了easyui-combobox来实现此功能.(主要是其他的方法实现了之后虽然可以实现功能,但是样式太丑,需要改css文件) 首先我的后			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEv8qy0.html" rel="bookmark">一个窗体实现四个功能&mdash;&mdash;组合查询</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在做&quot;机房&quot;的过程中,有很多相同功能的窗体,在敲第一次的时候由于是处在学习和练习的阶段,对于重复的功能和代码还是比较待见的.因为初次在很菜的情况下自主建立一个系统,总想着多练练,能熟练些,不能说是背(也背不了),但想将其形成常识. 每次进步一点点.这次再做,虽说换了一种语言,但业务逻辑方面需要思考就少了很多.再加之,在此之前学习了设计模式.说起设计模式,心里没底,还好设计模式的讲解语言通俗易懂,常以小故事的形式进行引导.设计模式的目的是将程序设计成可复用性强.灵活性好.安全性高.性能稳			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/XMmDnn4.html" rel="bookmark">WebForm 分页与组合查询</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.封装实体类 2.写查询方法 //SubjectData类 public List&lt;Subject&gt; Select(string name) { List&lt;Subject&gt; list = new List&lt;Subject&gt;(); cmd.CommandText = &quot;select *from Subject where SubjectName like @a &quot;; cmd.Parameters.Clear(); cmd.Parameters.Add			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0eAmRw0.html" rel="bookmark">重构之路 组合查询之传递SQL字符串</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				既然是使用VB.NET语言对机房收费系统进行重构,那么无可避免的要去解决组合查询的问题,在VB版的实现中这是一个难点,不过大家还是依靠自己或者共同的智慧解决了这个看似复杂的问题. 如今编程的语言不同是一方面,更重要的是系统的结构不一样了,采用了三层架构去实现系统,这样一来就要考虑组合查询的在三层结构中的实现方法.当然,组合查询的核心办法是不变的,都是通过将查询的各个条件组装成SQL查询语句的where子句来实现的,问题就是这个where子句的组装在哪里完成? 如果放在U层完成,那么我们向下传递的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVg5YQ0.html" rel="bookmark">组合查询&mdash;&mdash;如何使用窗体的继承达到事半功倍？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一个优秀的程序员就是要尽可能减少自己的代码量.我们日常的工作或者学习中都有可能遇到多个窗体结构类似,或者大同小异的情况,这时候如果在每个窗体都写一遍代码,或者纯粹的复制粘贴就太水了.想要偷懒的时候正是我们发现和创造的机会,我们的祖先也是这么过来的. 我在做机房收费系统个人重构版的时候,就遇到了基本数据维护.查看上机状态.上机信息统计和操作员工作记录四个窗体都组要用到组合查询而且窗体结构一致. 四个窗体中除了字段名不一致,其他的内容都一样,这种情况下我们用窗体的继承最合适了.在父窗体中写好公共的部			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWAE6y3.html" rel="bookmark">&lbrack;Architecture Pattern&rsqb; Repository实作查询功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[Architecture Pattern] Repository实作查询功能 范例下载 范例程序代码:点此下载 问题情景 在系统的BLL与DAL之间,加入Repository Pattern的设计,能够切割BLL与DAL之间的相依性,并且提供系统抽换DAL的能力.但在软件开发的过程中,套用Repository Pattern最容易遇到的问题就是,如何在Repository中实作「查询」这个功能.像是在下列这个查询订单的页面,系统必须要依照用户输入的查询条件,来从DAL中查询出所有符合条件内容的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEvbjX0.html" rel="bookmark">Webform（分页与组合查询配合使用）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.封装实体类 2.写查询方法 //SubjectData类 public List&lt;Subject&gt; Select(string name) { List&lt;Subject&gt; list = new List&lt;Subject&gt;(); cmd.CommandText = &quot;select *from Subject where SubjectName like @a &quot;; cmd.Parameters.Clear(); cmd.Parameters.Add			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/N4p82g4.html" rel="bookmark" class="title">远程主机访问sshd服务</a>
					<div>
						##########功能:让远程主机可以通过网络访问sshd服务,开始一个安全shell ##########ssh 远程主机用户@远程主机ip[[email protected] ~]# ssh [ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWyJ7B3.html" rel="bookmark" class="title">C&plus;&plus; 仿函数</a>
					<div>
						在我们写代码时有时会发现有些功能的实现的代码,会不断的在不同的成员函数中用到,但是又不好将这些代码独立出来成为一个类的一个成员函数.但是又很想复用这些代码.写一个公共的函数,可以,这是一个解决方法,不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmDR6Q4.html" rel="bookmark" class="title">基于Qt有限状态机人工智能的一种实现及改进方法</a>
					<div>
						基于Qt有限状态机人工智能的一种实现及改进方法 人工智能在今年是一个非常火的方向,当然了,不仅仅是今年,它一直火了很多年,有关人工智能的一些算法层出不穷.人工智能在很多领域都有应用,就拿我熟悉的游戏领 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLjn1e3.html" rel="bookmark" class="title">uva 12130 - Summits&lpar;BFS&rpar;</a>
					<div>
						题目链接:uva 12130 - Summits 题目大意:给定一个N?M的图,每个位置有一个值.给定D,表示有节点值为G的位置作为起点的话,将不能移动到值小于等于G?D的节点.现在要求找到整个图中所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lWvEoM.html" rel="bookmark" class="title">Apache POI - 记导出Excel所遇到的坑</a>
					<div>
						Apache POI是个用Java编写的免费开源的,用来操作Microsoft Office格式的文档.实际工作中,经常需要把数据导入到Excel表中.这个目前来说,应该是比较好用的.以前用过NPOI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NG5K6M.html" rel="bookmark" class="title">phpwamp单身狗模式的详解与分析，单身狗模式&sol;即霸体模式的作用讲解。</a>
					<div>
						最近有学生在使用PHPWAMP的时候,问我霸体模式的作用. 学生问:老师,PHPWAMP里面的霸体模式是什么意思,有什么用? 回答:额...就是以前我发布测试版的时候,模式切换里面的单身狗模式. 学生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bOQqv3.html" rel="bookmark" class="title">Elasticsearch学习，请先看这一篇！</a>
					<div>
						题记: Elasticsearch研究有一段时间了,现特将Elasticsearch相关核心知识.原理从初学者认知.学习的角度,从以下9个方面进行详细梳理.欢迎讨论-- 0. 带着问题上路--ES是如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YRymN3.html" rel="bookmark" class="title">WCF学习之旅----基础篇之MSMQ</a>
					<div>
						服务端 using System; using System.Collections.Generic; using System.Linq; using System.Text; using Syst ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGprLQ0.html" rel="bookmark" class="title">奇妙的夸克（Quark）</a>
					<div>
						大约在1974年的秋天,我在一次中科院数学所的讨论班上听到中科院张锦文教授(已故)说起&quot;夸克&quot;的发现. 1969年,美国物理学家盖尔曼(Murray Gell-Mann,1929- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3waypjM.html" rel="bookmark" class="title">B&period;JS中的DOM</a>
					<div>
						在JS中经常会用到DOM,document object modle,即文档对象模型.其实就是在我们打开一个网页之后会自动建立的一个模型.首先我们先实例一个网页: &lt;html&gt; &lt;h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPv2Lm3.html" rel="bookmark" class="title">Cocos2d-x游戏性能优化分享大赛 奖最新出版《我所理解的Cocos2d-x》</a>
					<div>
						由于移动平台的硬件性能及移动网络限制,以及便携设备耗电的特征,对移动平台游戏进行性能优化至关重要,从应用程序包的大小,到应用程序运行时期的内存占用,应用程序计算导致的耗电大小等,都能对移动游戏的优化带 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzEZa24.html" rel="bookmark" class="title">如何删除docker images&sol;containersdocker rm &dollar;&lpar;docker ps -a -q&rpar;</a>
					<div>
						docker images往往不知不觉就占满了硬盘空间,为了清理冗余的image,可采用以下方法: 1.进入root权限 sudo su 2.停止所有的container,这样才能够删除其中的imag ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41G8VO0.html" rel="bookmark" class="title">当PC无法上网时，如何检测是哪里的网络连接问题？</a>
					<div>
						打开CMD窗口,开始菜单-打开程序和文件-cmd ping 127.0.0.1 ,如果不通说明是本地网卡或者协议栈的问题. ping 网关,检测是否是LAN问题. ping 远端路由.检测内外网连接问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NXOJ60.html" rel="bookmark" class="title">javascript设计模式之策略模式</a>
					<div>
						数据验证之简易方式 // 举例 常见的验证表单字段经常是if else 或者 switch case var validater = { validate: function (value, type ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEqPEQM.html" rel="bookmark" class="title">对渐进符号的理解</a>
					<div>
						高等数学和算法导论中都遇到这个东西,谈一谈自己的理解吧 O,Ω,Θ,ω和ο 我觉得是函数之间增长量级大小关系的一种比较 影响两个函数大小关系的主要是最高项的系数和函数本身的内在增长性质(幂次高低,什么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pDb6g4.html" rel="bookmark" class="title">【POJ 3368】 Frequent values（RMQ）</a>
					<div>
						[POJ 3368] Frequent values(RMQ) Time Limit: 2000MS   Memory Limit: 65536K Total Submissions: 15813   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MX1Ala0.html" rel="bookmark" class="title">Redis 集合操作</a>
					<div>
						[Redis 集合操作] 1.SCARD key 返回集合 key 的基数(集合中元素的数量). 2.SDIFFSTORE destination key [key ...] 这个命令的作用和 SDI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bZvq90.html" rel="bookmark" class="title">fork函数：无法解释</a>
					<div>
						       fork()函数用来创建一个子进程.有些操作系统的fork采用了一种被称为写时拷贝的方法来提高性能.这种fork调用,产生子进程时,并不拷贝父进程的所有页面,而是置父进程所有页面的写时拷 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NRpBy4.html" rel="bookmark" class="title">HBase表的架构原理</a>
					<div>
						HBase整体架构图 Hbase Table的基本单位是Region,一个Table对应多个Region,Table层级关系如下: Table       (HBase table) Region   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xx1NQ0.html" rel="bookmark" class="title">swift项目实战FoodPin目录</a>
					<div>
						好吧,据说写博客能够找到好工作,那我也来分享一个项目吧! 首先做下自我介绍:我毕业有一年半了,工作做的是广电行业用的视频编辑器中的一个模块,用的是MFC进行开发(不知道MFC的,就是微软的一套C++框 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
